gnutls_pkcs7_get_signature_info(3)

NAME
gnutls_pkcs7_get_signature_info - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_get_signature_info(gnutls_pkcs7_t pkcs7, unsigned idx, gnutls_pkcs7_signature_info_st * info);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    should contain a gnutls_pkcs7_t type

unsigned idx
    the index of the signature info to check

gnutls_pkcs7_signature_info_st * info
    will contain the output signature

DESCRIPTION
This function will return information about the signature identified by idx in the provided PKCS 7 structure. The information should be deinitialized using gnutls_pkcs7_signature_info_deinit().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/